﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="TemplateSelect.Default" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <title></title>
    <script>
        function initLightbox() {

            function getOption(key, options) {
                for (var i = 0; i < options.length; i++) {
                    if (options[i].key == key)
                        return options[i];
                }
            }

            function setSessionLabel(key) {
                var select = scheduler.formSection("color");
                var options = select.section.options;

                var selected_option = getOption(key, options);
                if (!selected_option)
                    selected_option = options[0];

                var template = scheduler.formSection("sessionTemplate");
                var label = "session: <b>" + selected_option.Session + "</b>";
                template.setValue(label);
            }

            scheduler.attachEvent("onLightbox", function (id) {
                var event = scheduler.getEvent(id),
                    select = scheduler.formSection("color");

                var key = event.color;
                setSessionLabel(key);

                select.control.onchange = function () {
                    var key = this.value;
                  
                    setSessionLabel(key);
                }
            });

        }

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div style="width:960px;height:800px;margin:0 auto;">
        <%= this.RenderScheduler()%>
    </div>


    </form>
</body>
</html>
