﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Linq;
using DHTMLX.Scheduler;
using DHTMLX.Common;
using DHTMLX.Scheduler.Data;
using DHTMLX.Scheduler.Controls;

namespace TemplateSelect
{
    public partial class Default : System.Web.UI.Page
    {

        public string RenderScheduler()
        {
            var sched = new DHXScheduler();

            
            var select = new LightboxSelect("color", "Priority");
           
            var items = new List<object>(){
                            new { key = "gray", label = "Low", Session = 1 },
                            new { key = "blue", label = "Medium", Session = 2 },
                            new { key = "red", label = "High", Session = 3 }
            };
            select.AddOptions(items);
            var template = new LightboxTemplate("sessionTemplate", "Session");
            sched.Lightbox.Add(select);
            sched.Lightbox.Add(template);

            sched.AfterInit.Add("initLightbox()");

            return sched.Render();
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }
    }
}